function local = ph_font(aSize, lSize, tSize,fontname);
%-------------------------------------------------------------------
% PH_FONT $Revision: 1.0 $ $Date: 1998/12/07 $
%          Copyright (C) GEOMAR, Roger Luff 1998.
%          visumod@technologist.com
%
% USAGE: ph_font(size1, size2, size3, fontname);
%        ph_font(12,12,12,'times');
%
% DESCRIPTION:
%  Changes the font and its size in a Graph
%-------------------------------------------------------------------

tHandle = get(gca, 'Title');
xHandle = get(gca, 'xLabel');
yHandle = get(gca, 'yLabel');


if (nargin < 1)
  aSize = get(gca, 'FontSize');
  lSize = aSize;
  tSize = lSize;
end
if (nargin < 2)
  lSize = aSize;
  tSize = lSize;
end;
if (nargin < 3)
  tSize = lSize;
end;

set(gca, 'FontName', fontname);

set(gca, 'FontSize', aSize);
set(tHandle, 'FontName', 'Times');
set(xHandle, 'FontName', 'Times');
set(yHandle, 'FontName', 'Times');
set(tHandle, 'FontSize', tSize);
set(xHandle, 'FontSize', lSize);
set(yHandle, 'FontSize', lSize);

